---
title: Tutorials
---

These tutorials are intended to help you get started with Databend:

## Deploying Databend

* [Understanding Deployment Modes](../10-deploy/00-understanding-deployment-modes.md)
* [Deploying a Standalone Databend](../10-deploy/02-deploying-databend.md)
* [Expanding a Standalone Databend](../10-deploy/03-expanding-to-a-databend-cluster.md)
* [Databend Cloud (Beta)](../02-cloud/index.md)

## Connecting to Databend

* [How to Connect Databend with MySQL Client](../30-reference/00-api/01-mysql-handler.md)
* [How to Connect Databend with ClickHouse Client](../30-reference/00-api/02-clickhouse-handler.md)
* [How to Connect Databend with REST API](../30-reference/00-api/00-rest.md)
* [How to Connect Databend with DBeaver SQL IDE](../40-integrations/20-gui-tool/01-dbeaver.md)
* [How to Execute Queries in Python](../20-develop/01-python.md)
* [How to Query Databend in Jupyter Notebooks](../40-integrations/20-gui-tool/00-jupyter.md)
* [How to Execute Queries in Golang](../20-develop/00-golang.md)
* [How to Execute Queries in Node.js](../20-develop/02-nodejs.md)

## Loading Data into Databend

* [How to Load Data from Local File System](../21-load-data/00-local.md)
* [How to Load Data from Remote Files](../21-load-data/04-http.md)
* [How to Load Data from Amazon S3](../21-load-data/01-s3.md)
* [How to Load Data from Databend Stages](../21-load-data/02-stage.md)
* [How to Load Data from MySQL](../21-load-data/03-mysql.md)

## Managing Users

* [How to Create a User](../30-reference/30-sql/00-ddl/30-user/01-user-create-user.md)
* [How to Grant Privileges to a User](../30-reference/30-sql/00-ddl/30-user/10-grant-privileges.md)
* [How to Revoke Privileges from a User](../30-reference/30-sql/00-ddl/30-user/11-revoke-privileges.md)
* [How to Create a Role](../30-reference/30-sql/00-ddl/30-user/04-user-create-role.md)
* [How to Grant Privileges to a Role](../30-reference/30-sql/00-ddl/30-user/10-grant-privileges.md)
* [How to Grant Role to a User](../30-reference/30-sql/00-ddl/30-user/20-grant-role.md)
* [How to Revoke Role from a User](../30-reference/30-sql/00-ddl/30-user/21-revoke-role.md)

## Managing Databases

* [How to Create a Database](../30-reference/30-sql/00-ddl/10-database/ddl-create-database.md)
* [How to Drop a Database](../30-reference/30-sql/00-ddl/10-database/ddl-drop-database.md)

## Managing Tables

* [How to Create a Table](../30-reference/30-sql/00-ddl/20-table/10-ddl-create-table.md)
* [How to Drop a Table](../30-reference/30-sql/00-ddl/20-table/20-ddl-drop-table.md)
* [How to Rename a Table](../30-reference/30-sql/00-ddl/20-table/30-ddl-rename-table.md)
* [How to Truncate a Table](../30-reference/30-sql/00-ddl/20-table/40-ddl-truncate-table.md)

## Managing Views

* [How to Create a View](../30-reference/30-sql/00-ddl/60-view/ddl-create-view.md)
* [How to Drop a View](../30-reference/30-sql/00-ddl/60-view/ddl-drop-view.md)
* [How to Alter a View](../30-reference/30-sql/00-ddl/60-view/ddl-alter-view.md)

## Managing User-Defined Functions

* [How to Create a User-Defined Function](../30-reference/30-sql/00-ddl/50-udf/ddl-create-function.md)
* [How to Drop a User-Defined Function](../30-reference/30-sql/00-ddl/50-udf/ddl-drop-function.md)
* [How to Alter a User-Defined Function](../30-reference/30-sql/00-ddl/50-udf/ddl-alter-function.md)

## Backup & Restore

* [How to Back Up Meta Data](../50-manage/00-metasrv/30-metasrv-backup-restore.md)
* [How to Back Up Databases](../50-manage/10-backup-restore/10-backup-and-restore-schema.md)

## Use Cases

* [How to Analyze Nginx Access Logs with Databend](../90-learn/02-analyze-nginx-logs-with-databend-and-vector.md)
* [How to Do User Retention Analysis with Databend](../90-learn/03-analyze-user-retention-with-databend.md)
* [How to Do Conversion Funnel Analysis with Databend](../90-learn/04-analyze-funnel-with-databend.md)

## Performance

* [How to Benchmark Databend](../90-learn/01-analyze-ontime-with-databend-on-ec2-and-s3.md)
